Loading...
Searching...
No Matches
pcl::KernelWidthTooSmallException Class Reference

An exception that is thrown when the kernel size is too small. More...

`#include <pcl/exceptions.h>`

Inheritance diagram for pcl::KernelWidthTooSmallException:

## Public Member Functions

| KernelWidthTooSmallException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)
Public Member Functions inherited from pcl::PCLException
| PCLException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)
const char * | getFileName () const noexcept
const char * | getFunctionName () const noexcept
unsigned | getLineNumber () const noexcept
const char * | detailedMessage () const noexcept

## Additional Inherited Members

Static Protected Member Functions inherited from pcl::PCLException
static std::string | createDetailedMessage (const std::string &error_description, const char *file_name, const char *function_name, unsigned line_number)
Protected Attributes inherited from pcl::PCLException
const char * | file_name_
const char * | function_name_
unsigned | line_number_

## Detailed Description

An exception that is thrown when the kernel size is too small.

Definition at line 224 of file exceptions.h.

## Constructor & Destructor Documentation

## KernelWidthTooSmallException()

pcl::KernelWidthTooSmallException::KernelWidthTooSmallException | ( | const std::string & | error_description,
|  | const char * | file_name = nullptr,
|  | const char * | function_name = nullptr,
|  | unsigned | line_number = 0 )

inline

Definition at line 228 of file exceptions.h.

References pcl::PCLException::PCLException().

The documentation for this class was generated from the following file:

- pcl/exceptions.h